package util

import (
	"github.com/GUAIK-ORG/go-snowflake/snowflake"
	"github.com/google/uuid"
)

var snowflakeInstance *snowflake.Snowflake

func init() {
	s, err := snowflake.NewSnowflake(int64(0), int64(0))
	if err != nil {
		panic(err)
	}
	snowflakeInstance = s
}
func GetUUID() string {
	return uuid.New().String()
}
func GetSnowflakeID() int64 {
	return snowflakeInstance.NextVal()
}
